using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using System.Collections;
using System.Text.RegularExpressions;

namespace UUN
{
    /// <summary>
    /// 编译L_Message_Add.aspx文件
    /// </summary>
    public class 编译扩展_L_Message_Add : 编译扩展接口
    {
        private SqlConnection 连接;
        private HttpContext HC;
        private 编译器 编译器;

        public 编译扩展_L_Message_Add(SqlConnection 连接, HttpContext HC, 编译器 编译器)
        {
            this.连接 = 连接;
            this.HC = HC;
            this.编译器 = 编译器;
        }


        public string 开始执行代码()
        {
            编译器.方法库 += @"	private new int ID;
	private DataRow 留言本;
";
            return @"
	ID=Convert.ToInt32(Request.QueryString[""ID""]);
	留言本=常用.获取留言本(ID);
	if(留言本==null)
		throw new Exception(""留言本不存在"");
";
        }

        public string 编译公共标签(string 代码)
        {
            switch (代码)
            {
                case "留言本ID":
                    return @"
		返回值.Append(ID.ToString());
";
                case "留言本名称":
                    return @"
		返回值.Append(Server.HtmlEncode(留言本[""留言本名称""].ToString()));
";
                case "留言本地址":
                    return @"
		返回值.Append(Server.HtmlEncode(常用.处理地址("""+(编译器.是否WML网页?"":"3G_")+@"Guestbook.aspx?ID=""+ID,访问.用户[""标识""].ToString())));
";
                case "留言表情":
                    return @"
		返回值.Append(常用.获取留言表情代码());
";
                default:
                    return "";
            }
        }

        public string 编译模板方法(string 方法名称, string[] 属性数组)
        {
            return "";
        }

        public string 结束执行代码()
        {
            return "";
        }
    }
}